<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:custom="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:emojicon="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="13dp">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/chat_item_contact_image"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_marginLeft="10dp"
        android:layout_marginStart="10dp"
        android:contentDescription="@null"
        tools:src="@drawable/avatar" />

    <TextView
        android:id="@+id/chat_item_sending_failed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_toLeftOf="@+id/chat_item_message_status"
        android:layout_toStartOf="@+id/chat_item_message_status"
        android:paddingBottom="5dp"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:text="@string/chat_item_sending_failed"
        android:textColor="@color/colorHarvard"
        android:textSize="10sp"
        android:visibility="gone"
        tools:ignore="SmallSp"
        tools:visibility="visible" />

    <ProgressBar
        android:id="@+id/chat_item_message_status_progress_bar"
        android:layout_width="15dp"
        android:layout_height="15dp"
        android:layout_alignBottom="@+id/chat_item_time"
        android:layout_alignTop="@+id/chat_item_time"
        android:layout_marginEnd="8dp"
        android:layout_marginRight="8dp"
        android:layout_toLeftOf="@+id/chat_item_time"
        android:layout_toStartOf="@+id/chat_item_time"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/chat_item_message_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBottom="@+id/chat_item_time"
        android:layout_alignTop="@+id/chat_item_time"
        android:layout_marginEnd="8dp"
        android:layout_marginRight="8dp"
        android:layout_toLeftOf="@+id/chat_item_time"
        android:layout_toStartOf="@+id/chat_item_time"
        android:adjustViewBounds="true"
        android:contentDescription="@null"
        android:visibility="gone"
        tools:src="@drawable/delivered" />

    <TextView
        android:id="@+id/chat_item_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_toLeftOf="@+id/chat_item_contact_image"
        android:layout_toStartOf="@+id/chat_item_contact_image"
        android:textColor="@color/colorManatee"
        android:textSize="10sp"
        tools:ignore="SmallSp"
        tools:text="Me | 15:23" />

    <ImageView
        android:id="@+id/chat_item_file"
        android:layout_width="wrap_content"
        android:layout_height="90dp"
        android:layout_below="@id/chat_item_time"
        android:layout_marginTop="4dp"
        android:layout_toLeftOf="@+id/chat_item_contact_image"
        android:layout_toStartOf="@+id/chat_item_contact_image"
        android:contentDescription="@null"
        android:scaleType="fitEnd"
        android:visibility="gone" />

    <TextView
        android:id="@+id/chat_item_file_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/chat_item_time"
        android:layout_marginTop="95dp"
        android:layout_toLeftOf="@+id/chat_item_contact_image"
        android:layout_toStartOf="@+id/chat_item_contact_image"
        android:textColor="@color/colorBlack"
        android:visibility="gone" />

    <com.github.lzyzsd.circleprogress.DonutProgress
        android:id="@+id/chat_item_progress"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:layout_below="@id/chat_item_time"
        android:layout_marginTop="4dp"
        android:layout_toLeftOf="@+id/chat_item_contact_image"
        android:layout_toStartOf="@+id/chat_item_contact_image"
        android:visibility="gone"
        custom:donut_finished_color="@color/colorDefault"
        custom:donut_text_color="@color/colorBlack" />

    <hani.momanii.supernova_emoji_library.Helper.EmojiconTextView
        android:id="@+id/chat_item_message"
        style="@style/RightChatItemText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/chat_item_time"
        android:layout_toLeftOf="@+id/chat_item_contact_image"
        android:layout_toStartOf="@+id/chat_item_contact_image"
        emojicon:emojiconSize="20sp"
        tools:text="Hi Daniel! What advice could you give me on speed cooking? I’m thinking of opening a small bistro" />

</RelativeLayout>